// This file shows how to use the component.

import javaSys.*; // The generated CTL4j code always is in this package.
import java.util.*;

public class Client
{
	public static void main (String[] args)
	{
		// By convention, the suffix CI is added to the name of the interface
		// for the CTL4j wrapper class. As you can see, you can instantiate
		// and use it like a normal Java class. In contrast to the 
		// MonteCarloPi example, this one uses implicit locations. It 
		// automatically reads the file 'locs.txt' in the current working 
		// directory and uses the first location in that. If present, it 
		// will also optionally contact a resource manager.
		AddCI test = new AddCI();
		
		int res = test.add(2, 3);
		System.out.println("2 + 3 = "+res);

		int[] arg = new int[3];
		arg[0] = 1; arg[1] = 2; arg[2] = 3;
		System.out.println(Arrays.toString(test.add(arg, arg)));

		List<Integer> arg2 = new ArrayList<Integer>(3);
		arg2.add(1); arg2.add(2); arg2.add(3);
		System.out.println(test.add(arg2, arg2));
	}
}
