// This file defines the interface to the component you want to provide/use.

package common;

import CTL.Annotate.*; // necessary annotations are in this package
import java.util.*;

// The annotation const_ defines that all parameters of all methods in this
// class have constant parameters, that means that they will not be send
// back to the caller as part of the results. This is what you want.
@const_ public interface Add
{
	// The annotation export defines which methods are part of the public
	// Component Interface (CI).
	@export int add (int a, int b);
	@export int[] add (int[] v1, int[] v2);
	@export List<Integer> add (List<Integer> v1, List<Integer> v2);
}
